Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextFormat.FormatType

    java.lang.Object
      java.lang.Enum<QTextFormat.FormatType>
          com.trolltech.qt.gui.QTextFormat.FormatType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextFormat.FormatType>

Enclosing class:
  QTextFormat

    public static enum QTextFormat.FormatType

extends java.lang.Enum<QTextFormat.FormatType>
implements QtEnumerator

Press link for info on QTextFormat.FormatType

Enum Constant Summary
`BlockFormat` Internal.
`CharFormat` Internal.
`FrameFormat` Internal.
`InvalidFormat` Internal.
`ListFormat` Internal.
`TableFormat` Internal.
`UserFormat` Internal.

Method Summary
`static QTextFormat.FormatType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFormat.FormatType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextFormat.FormatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### InvalidFormat

    public static final QTextFormat.FormatType InvalidFormat

  Internal.

### BlockFormat

    public static final QTextFormat.FormatType BlockFormat

  Internal.

### CharFormat

    public static final QTextFormat.FormatType CharFormat

  Internal.

### ListFormat

    public static final QTextFormat.FormatType ListFormat

  Internal.

### TableFormat

    public static final QTextFormat.FormatType TableFormat

  Internal.

### FrameFormat

    public static final QTextFormat.FormatType FrameFormat

  Internal.

### UserFormat

    public static final QTextFormat.FormatType UserFormat

  Internal.

Method Detail

### values

    public static final QTextFormat.FormatType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextFormat.FormatType c : QTextFormat.FormatType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextFormat.FormatType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextFormat.FormatType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD